package algae.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.BorderFactory;
import javax.swing.border.*;
import javax.swing.border.Border;
import javax.swing.border.TitledBorder;

import java.io.*;
import java.util.*;
import java.lang.Number;
import java.lang.Float;
import java.lang.*;
import algae.gui.HtmlPanel;

public final class HelpWin extends JFrame implements ActionListener {

    Container contentPane = getContentPane();
  
    JPanel BottomPanel = new JPanel();

    JButton OKBtn = new JButton("OK");

    GridBagLayout gridbag = new GridBagLayout();
    GridBagConstraints c = new GridBagConstraints();
  
    HtmlPanel html;
  
    public HelpWin(String s){
	addWindowListener(new WindowAdapter() 
        {
	    public void windowClosing(WindowEvent e) 
	    {
		setVisible(false);
            }
        });
	
	html=new HtmlPanel(s);

	contentPane=getContentPane();
	contentPane.setLayout(gridbag);

	BottomPanel.add(OKBtn,BorderLayout.CENTER);
	OKBtn.addActionListener(this);

	c.gridx = 0;
        c.gridy = 0;
        c.gridwidth=23;
        c.gridheight=12;
        c.weightx=1;
        c.weighty=1;
        c.insets=new Insets(2,2,2,2);
        c.fill = GridBagConstraints.BOTH;
        gridbag.setConstraints(html, c);
        contentPane.add(html);

	c.gridx = 0;
        c.gridy = 12;
        c.gridwidth=23;
        c.gridheight=2;
        c.weightx=1;
        c.weighty=0;
        c.insets=new Insets(2,2,2,2);
        c.fill = GridBagConstraints.NONE;
        gridbag.setConstraints(BottomPanel, c);
        contentPane.add(BottomPanel);	
   }
    
   public void actionPerformed(ActionEvent e)
        {
	    Object src=e.getSource();
	    if (src==OKBtn)
	    {
		this.setVisible(false);
	    }
	} 
}
